export type AccountConfig = {
    bridge_accounts: AccountInfo[];
    local_accounts: AccountInfo[];
    bridge_msigs: BridgeMSigInfo[];
    local_msigs: BridgeMSigInfo[];
    loaded: boolean;
};
export type AccountInfo = {
    network: string;
    name: string;
    address: string;
};
export type BridgeMSigInfo = {
    network: string;
    name: string;
    address: string;
    signers: string[];
};
export declare enum BridgeAccountNames {
    algorand_asaOwner = "algorand_asaOwner",
    algorand_algoOwner = "algorand_algoOwner",
    algorand_bridgeOwner = "algorand_bridgeOwner",
    algorand_feeReceiver = "algorand_feeReceiver",
    algorand_multisig1 = "algorand_multisig1",
    algorand_multisig2 = "algorand_multisig2",
    algorand__bridge = "algorand__bridge",
    algorand_asaVault = "algorand_asaVault",
    algorand_algoVault = "algorand_algoVault"
}
export declare class BridgeAccounts {
    static config: AccountConfig;
    static loadConfig(path: string): void;
    static saveConfig(path: string): void;
    static getAddress(name: BridgeAccountNames): string;
    static getAccountInfo(network: string, name: string): AccountInfo | undefined;
    static getMSigInfo(network: string, name: string): BridgeMSigInfo | undefined;
}
