export declare enum TokenParams {
    none = 0,
    name = 2,
    symbol = 4,
    decimals = 8,
    total_supply = 16,
    min_transfer = 32,
    max_transfer = 64,
    fee_divisor = 128,
    all = 254
}
export type TokenConfig = {
    approval_app: number;
    assets_info: TokenInfo[];
    loaded: boolean;
};
export type TokenInfo = {
    network: string;
    name: string;
    symbol: string;
    type: string;
    asset_id: number | undefined;
    bridge_vault_id: number | undefined;
    decimals: number;
    min_transfer: number | undefined;
    max_transfer: number | undefined;
    fee_divisor: number | undefined;
    total_supply: bigint;
    loaded: boolean;
};
export declare function initToken(options?: Partial<TokenInfo>): TokenInfo;
export declare class BridgeTokens {
    static config: TokenConfig;
    static loadConfig(path: string): void;
    static saveConfig(path: string): void;
    static getTokenInfo(network: string, symbol: string): TokenInfo | undefined;
    static loadFromCli(requiredParams?: TokenParams): TokenInfo | undefined;
}
